Upsert CTWA conversion rule for slot 1–10
PUT
/v1/ctwa/conversion-rules/{slot}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
slotinteger<int64>requiredmin 1 · max 10
Request body
requiredapplication/jsonconfiganyrequiredenabledbooleanrequiredmeta_event_namestringrequiredsignal_typestringrequiredResponses
200OK
configanyrequiredcreated_atstringenabledbooleanrequiredidstringrequiredmeta_event_namestringrequiredsignal_typestringrequiredslotinteger<int64>requiredupdated_atstring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PUT "/v1/ctwa/conversion-rules/0" \
-H "Content-Type: application/json" \
-d '{
"config": "string",
"enabled": true,
"meta_event_name": "string",
"signal_type": "string"
}'const response = await fetch("/v1/ctwa/conversion-rules/0", {
method: "PUT",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"config": "string",
"enabled": true,
"meta_event_name": "string",
"signal_type": "string"
})
});import requests
response = requests.put(
"/v1/ctwa/conversion-rules/0",
headers={
"Content-Type": "application/json"
},
json={
"config": "string",
"enabled": True,
"meta_event_name": "string",
"signal_type": "string"
},
)Response
{
"config": "string",
"created_at": "string",
"enabled": true,
"id": "string",
"meta_event_name": "string",
"signal_type": "string",
"slot": 0,
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}